<div align="center">
    <img alt="Banner: Atlas — UI for consuming and interacting
with the Joystream network" src="https://user-images.githubusercontent.com/35307309/147933610-9cce95b7-e6b9-4fb1-aee6-111d7efc5304.png"/>
</div>

<p align="center">
  <a title="Join the Discord server" href="https://discord.gg/nuQeWXfSvq">
    <img alt="Discord badge" src="https://img.shields.io/discord/811216481340751934?label=discord&logo=discord" />
  </a>
  <a title="Contributors" href="https://github.com/Joystream/atlas/graphs/contributors">
    <img alt="Contributors badge" src="https://img.shields.io/github/contributors/joystream/atlas?label=%F0%9F%91%A5%20contributors">
  </a>
  <a title="Styleguide" href="https://github.com/Joystream/atlas/blob/master/docs/styleguide.md">
    <img alt="Styleguide badge" src="https://img.shields.io/badge/%F0%9F%92%85%20style-prettier-brightgreen">
  </a>
  <a title="Vercel production deployment" href="https://play.joystream.org">
    <img alt="Vercel production badge" src="https://img.shields.io/badge/vercel%20prod-live-brightgreen?logo=vercel">
  </a>
  <a title="Vercel development deployment" href="https://atlas-git-dev-joystream.vercel.app/">
    <img alt="Vercel development badge" src="https://img.shields.io/badge/%F0%9F%9B%A0%20vercel%20dev-live-brightgreen">
  </a>
  <a title="Storybook deployment" href="https://atlas-storybook.vercel.app/">
    <img alt="Storybook badge" src="https://img.shields.io/badge/storybook-live-brightgreen?logo=storybook">
  </a>
</p>

#### Functionality

- Watch content hosted on the Joystream network
- Explore most popular content and channels
- Sign up for your Joystream membership
- Create a channel and publish content
- Issue and trade NFTs for the content you've published

#### Screenshots

![image](https://user-images.githubusercontent.com/35307309/147930525-8bb61647-d908-47d1-96c0-494080a2aad6.png)
![image](https://user-images.githubusercontent.com/35307309/147930535-9082f52b-6b34-45e1-b627-4d8372b0163b.png)
![image](https://user-images.githubusercontent.com/35307309/147930541-c2f75fe5-ddba-48de-9536-eac228961757.png)

## Running your instance

If you are interested in running your own instance of Atlas, please take a look at our [operator guide](docs/operator-guide.md). It should give you a proper overview of all the setup you will have to do.

## Contributing

All community contributions to the project are welcome. Before starting any work, it's a good idea to get familiar with the following additional documents:

- [CONTRIBUTING.md](CONTRIBUTING.md) - this will lay out our expectations regarding work process in GitHub, etc.
- [Code conventions and styleguide](docs/styleguide.md) - this should help you understand code conventions we use
- [Technical overview](docs/overview.md) - this document describes Atlas' technical architecture, what data sources it fetches from, what tech is used to build it, etc.

If you are looking for a good place to start, check out the [good first issue label](https://github.com/Joystream/atlas/issues?q=is%3Aissue+is%3Aopen+label%3A%22good+first+issue%22) or [bug label](https://github.com/Joystream/atlas/issues?q=is%3Aissue+is%3Aopen+label%3Abug).

### Quickstart

To get started working with Atlas codebase, first clone the repo, install all dependencies and run the development server.

```bash
git clone https://github.com/Joystream/atlas
cd atlas
yarn install
yarn atlas:dev
```

This will start the development server on `localhost:3000`.

### Design

To get started working with Atlas designs in Figma, visit [Joystream's official Figma Community profile](https://figma.com/@joystream) (available early 2022) and duplicate files you're interested in remixing or using as a base for your work.

While most of the Atlas design documentation is kept within Figma files, for meta documentation visit [Atlas Design Space on Notion](https://joystream.notion.site/Design-Space-487ed84966fa495a8c037935639ca681).

## License

All software under this project is licensed as [GPLv3](LICENSE) unless otherwise indicated.
